Public Class OptimizerStatisticsWndV

   Private WithEvents m_StatisticsVM As StatisticsVM

   Sub New(Owner As Window, StatisticsVM As StatisticsVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      ' Add any initialization after the InitializeComponent() call.
      Me.DataContext = StatisticsVM
      Me.Tag = Map.refProjectVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_StatisticsVM = StatisticsVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_StatisticsVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
